Home / System Requirements

System Requirements

Tags:  

System Requirements

Please check if your system meets the requirements mentioned below :

To Host a Meeting To Attend a Meeting
Supported OS: 
Windows (2000, 2003, XP, Vista, Windows 7, Windows 8)
Linux (All Versions)
Mac (All Versions)

Browsers Supported: 
Internet Explorer - 6+ 
Firefox - 2.0+
Google 
Chrome (All Versions)
Safari 
Supported OS: 
Windows (2000, 2003, XP, Vista, Windows 7, Windows 8)
Linux (All Versions)
Mac (All versions)


Browsers Supported: 
Internet Explorer - 6+
Firefox - 2.0+
Google Chrome (All Versions)
Safari

Note:
1. You can attend a meeting from an iPad. Please note that iPad support is in Beta.
2. Java plugin is required for automatic installation of the meeting host. If it fails, you can also install manually, or use our Desktop Plugin to access your Meetings faster.

Post a comment

Your Name or E-mail ID (mandatory)

Note: Your comment will be published after approval of the owner.




 RSS of this page